Page MenuHomePhabricator

Changes/Diff preview in WikiEditor not styled properly in 0.0.5 (1.27.0)
Closed, ResolvedPublic

Description

I have two different MediaWiki installations:

  • 'Changes' view is not styled properly in MediaWiki 1.27.0 with bundled WikiEditor 0.5.0.
  • 'Changes' view is styled properly in MediaWiki 1.24.1 with manually installed WikiEditor 0.4.0.

By not styled properly I mean styling does not appear to be applied at all. Please see the attachment.

Both installations use Cavendish skin if that matters.

Attachments:

  • wikieditor-0.0.4-changes-tab.png - after clicking 'Changes' tab in 0.0.4
  • wikieditor-0.0.5-changes-tab.png - (1) after clicking 'Changes' tab in 0.0.5
  • wikieditor-0.0.5-show-changes-button-and-changes-tab.png - (2) then clicking 'Changes Button'
  • wikieditor-0.0.5-show-changes-button.png - (3) then clicking 'Changes' tab

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2016, 3:53 PM
johnnybaloney renamed this task from Changes/Diff preview not styled properly in 0.0.5 (1.27.0) to Changes/Diff preview in WikiEditor not styled properly in 0.0.5 (1.27.0).Aug 12 2016, 4:03 PM
TheDJ added a subscriber: Fomafix.Sep 26 2016, 2:22 PM

Change 308759 had a related patch set uploaded (by Fomafix):
Load module 'mediawiki.diff.styles' on show changes

https://gerrit.wikimedia.org/r/308759

Fomafix claimed this task.Sep 26 2016, 3:03 PM
TheDJ closed this task as Resolved.Oct 3 2016, 11:51 AM
TheDJ moved this task from Backlog to Closed on the WikiEditor board.
TheDJ removed a project: Patch-For-Review.

Change 308759 merged by jenkins-bot:
Load module 'mediawiki.diff.styles' on show changes

https://gerrit.wikimedia.org/r/308759

Should this change get backported to 1.27? The actual module name is not compatible with the name of the module in 1.27.

It really should... 1.27 is the LTS release, after all (I just spent almost an hour digging through WikiEditor until I found the problem, and only then found this phab issue).

I couldn't find any relevant help pages on the preferred MediaWiki way to do this backport; a cherry-pick would be obvious when it's a clean fix, but not when another change is needed.

Change 335775 had a related patch set uploaded (by TheDJ):
Load module 'mediawiki.diff.styles' on show changes

https://gerrit.wikimedia.org/r/335775

TheDJ added a subscriber: TheDJ.EditedFeb 3 2017, 10:03 AM

I wasn't aware this was already broken in 1.27, stupid, because the original report's title actually said so, I just didn't notice.. Backport prepared.

Change 335775 merged by jenkins-bot:
Load module 'mediawiki.diff.styles' on show changes

https://gerrit.wikimedia.org/r/335775

Thank you, @TheDJ! This is great :-)